## node-eslint-plugin-node 6.0.1~dfsg

=== debian/changelog ===
node-eslint-plugin-node (6.0.1~dfsg-4build4) focal; urgency=medium

  * Rebuild against new bootstrapped eslint.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Apr 2020 11:45:51 +0200

node-eslint-plugin-node (6.0.1~dfsg-4build3) focal; urgency=medium

  * No change rebuild against bootstrapped eslint

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Apr 2020 21:56:44 +0200

node-eslint-plugin-node (6.0.1~dfsg-4) unstable; urgency=medium

  * use helper script tap-todo;
    build-depend on perl
  * copyright: extend coverage
  * add non-superficial autopkgtest
  * mention in TODO file rules removed from recommended list

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Mar 2020 13:05:36 +0100

node-eslint-plugin-node (6.0.1~dfsg-3) unstable; urgency=medium

  * enable eslint tests
  * tighten mocha tests to disable default timeout
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * stop build-depend on node-shelljs (unused despite metadata);
    stop depend on node-object-assign (bogusly declared)
  * fix explicitly build-depend on node-minimatch node-resolve
  * skip only specific failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Mar 2020 14:34:04 +0100

node-eslint-plugin-node (6.0.1~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream to fix test failing by acorn update
  * strip from rules.js and recommended.json broken tests
    no-missing-import no-missing-require

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Mar 2020 20:58:07 +0100

node-eslint-plugin-node (6.0.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on eslint
  * copyright: update coverage
  * temporarily tolerate a few known failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Mar 2020 17:19:29 +0100

node-eslint-plugin-node (5.2.1~dfsg-3) unstable; urgency=medium

  * declare compliance with Debian Policy 4.5.0
  * temporarily stop build-depend on eslint

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Mar 2020 15:53:20 +0100

node-eslint-plugin-node (5.2.1~dfsg-2) experimental; urgency=medium

  * drop obsolete lintian override for unversioned debhelper 10
  * fix clean generated docs
  * improve short description

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 10:45:44 +0100

node-eslint-plugin-node (5.2.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exclude files during build.
    + Extend coverage for main copyright holder.
  * Update watch file: Fix URL.
  * Update build rule, and list of files to clean.
  * Unfuzz patch.
  * Update files to install.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Oct 2019 14:00:47 +0200

node-eslint-plugin-node (4.2.2-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#942574.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Oct 2019 13:13:42 +0200
