=== debian/control ===
Source: node-eslint-plugin-node
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 12),
 eslint <!nocheck>,
 mocha <!nocheck>,
 node-ignore <!nocheck>,
 node-minimatch <!nocheck>,
 node-resolve <!nocheck>,
 node-semver <!nocheck>,
 pandoc <!nodoc>,
 perl <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/mysticatea/node-eslint-plugin-node
Vcs-Browser: https://salsa.debian.org/js-team/node-eslint-plugin-node
Vcs-Git: https://salsa.debian.org/js-team/node-eslint-plugin-node.git
Rules-Requires-Root: no

Package: node-eslint-plugin-node
Architecture: all
Depends:
 node-ignore,
 node-minimatch,
 node-resolve,
 node-semver,
 nodejs,
 ${misc:Depends},
Enhances:
 eslint,
Description: enforce code conventions for NodeJS with ESLint
 eslint-plugin-node provides a plugin for ESLint
 covering JavaScript code targeted Node.js.
 .
 ESLint is a tool for identifying and reporting on patterns
 found in ECMAScript/JavaScript code.
 .
 Node.js is an event-based server-side JavaScript engine.
