=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

ESLINT = eslint --format tap
MOCHA = mocha --reporter tap --no-timeout

# TODO: drop when node-eslint-config-mysticatea is in Debian
ESLINT += --no-eslintrc --env es6,node

MOCHA_BROKEN += \
 tests/lib/rules/no-deprecated-api.js \
 tests/lib/rules/no-missing-import.js \
 tests/lib/rules/no-missing-require.js \
 tests/lib/rules/no-unsupported-features.js

override_dh_auto_build: $(DOCS)
	node scripts/update.js
# FIXME: drop when tests are unbroken
	sed -i -e '/no-missing-\(import\|require\)/d' \
		lib/recommended.json \
		lib/rules.js

override_dh_auto_test:
	$(ESLINT) lib tests/lib
	$(strip find tests/lib -type f -name '*.js' \
		$(patsubst %,-not -path '%',$(sort $(MOCHA_BROKEN))) \
		-exec $(MOCHA) {} +)
	$(MOCHA) $(MOCHA_BROKEN) | debian/tap-todo \
		'^no-deprecated-api invalid root;\z::testInvalidTemplate \S+eslint/lib/testers/rule-tester.js' \
		'^no-missing-import valid import (eslint|mocha) ::testValidTemplate \S+eslint/lib/testers/rule-tester.js' \
		'^no-missing-require valid require\(.(eslint|mocha)\b.*\)::testValidTemplate \S+eslint/lib/testers/rule-tester.js' \
		'^no-unsupported-features invalid /\*Classes in non-strict mode: [45]\.0\.0\*/ class A '

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

override_dh_clean:
	dh_clean -- $(DOCS)

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

%:
	dh $@
