## node-eslint-plugin-node 8.0.1~ds

=== debian/changelog ===
node-eslint-plugin-node (8.0.1~ds-3) unstable; urgency=medium

  * add patch 1001 to use system modules as default resolved paths
  * re-enable rules no-missing-import no-missing-require;
    closes: bug#954227
  * fix helper script tap-todo counting,
    and emit error message on failure

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Apr 2020 17:35:46 +0200

node-eslint-plugin-node (8.0.1~ds-2) unstable; urgency=medium

  * fix have helper script tap-todo fail if no tests were run

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2020 16:38:17 +0200

node-eslint-plugin-node (8.0.1~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright: update paths of excluded files
  * watch: use repacksuffix=~ds
    (not ~dfsg: only generated files stripped, no violations)
  * fix mangle lib/index.js (accidentally skipped in 8.0.0-1);
    avoid mangling README
  * update patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Apr 2020 17:32:24 +0200

node-eslint-plugin-node (8.0.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patch
  * (build-)depend on node-eslint-utils
  * rules: update code paths
  * enable check tests for rules
    no-deprecated-api no-unsupported-features, now working
  * add patches 2002 2003 2004 to avoid node modules
    fast-glob eslint-plugin-es @mysticatea/eslint-plugin
  * avoid check tests for rules
    no-unsupported-features/es-builtins
    no-unsupported-features/es-syntax

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Apr 2020 16:55:13 +0200
