=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 12),
  eslint <!nocheck>,
  mocha <!nocheck>,
+ node-eslint-utils <!nocheck>,
  node-ignore <!nocheck>,
  node-minimatch <!nocheck>,
  node-resolve <!nocheck>,
@@ -23,6 +24,7 @@
 Package: node-eslint-plugin-node
 Architecture: all
 Depends:
+ node-eslint-utils,
  node-ignore,
  node-minimatch,
  node-resolve,
