=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

ESLINT = eslint --format tap
MOCHA = mocha --reporter tap --no-timeout

# TODO: drop when node-eslint-config-mysticatea is in Debian
ESLINT += --no-eslintrc --env es6,node

# Work around missing node module "eslint-plugin-es"
MOCHA_EXCLUDES += \
 tests/lib/rules/no-unsupported-features/es-syntax.js

# Work around missing node module "@mysticatea/eslint-plugin"
MOCHA_EXCLUDES += \
 tests/lib/rules/no-unsupported-features/es-syntax.js \
 tests/lib/rules/no-unsupported-features/es-builtins.js

override_dh_auto_build: $(DOCS)
	node scripts/update-lib-configs-recommended
	node scripts/update-lib-index

override_dh_auto_test:
	$(ESLINT) lib tests/lib
	$(strip find tests/lib -type f -name '*.js' \
		$(patsubst %,-not -path '%',$(MOCHA_EXCLUDES)) \
		-exec $(MOCHA) {} +)

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

override_dh_clean:
	dh_clean -- $(DOCS)

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

%:
	dh $@
