=== debian/tests/control ===
Test-Command: node -e "require('eslint-plugin-node');"
Depends:
 node-eslint-plugin-node,
Restrictions: superficial

Test-Command:
 sed -i -e 'require("\.\./\.\./\.\./lib/rules/([^"]+)"),require("eslint-plugin-requirejs").rules.\1;,' tests/lib/*/*.js
 && find tests/lib/*/*.js
 -exec mocha --reporter tap '{}' +
Depends:
 mocha,
 node-eslint,
 node-eslint-plugin-node,
