## node-eslint-plugin-node 11.1.0~ds

=== debian/changelog ===
node-eslint-plugin-node (11.1.0~ds-8) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from several BD. Closes: #1116801.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 05:40:00 +0200

node-eslint-plugin-node (11.1.0~ds-7) unstable; urgency=medium

  * Team upload
  * eslint complains on stderr, allow it for autopkgtest.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 21 Aug 2025 11:49:23 +0200

node-eslint-plugin-node (11.1.0~ds-6) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3
  * Trim trailing whitespace

  [ Yadd ]
  * Declare compliance with policy 4.7.0
  * Add patch for node-ajv >= 8 (Closes: #1061012)

 -- Yadd <yadd@debian.org>  Wed, 12 Jun 2024 10:16:42 +0400

node-eslint-plugin-node (11.1.0~ds-5) unstable; urgency=medium

  * fix Homepage URI
  * generate documentation with cmark-gfm (not pandoc);
    build-depend on cmark-gfm (not pandoc)
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0
  * fix Vcs-Git URI
  * simplify source helper script copyright-check
  * add patches 1003 1004
    to avoid some ESLint false positives in upstream code

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 20:50:42 +0100

node-eslint-plugin-node (11.1.0~ds-4) unstable; urgency=medium

  * fix have autopkgtest depend on nodejs

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 05:17:28 +0100

node-eslint-plugin-node (11.1.0~ds-3) unstable; urgency=medium

  * add patch 1002
    to comply with @mysticatea/eslint-plugin/meta-property-ordering;
    closes: bug#978362, thanks to Lucas Nussbaum
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 03:20:27 +0100

node-eslint-plugin-node (11.1.0~ds-2) unstable; urgency=medium

  * fix upstream URLs
  * fix stop build-depend on itself

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Dec 2020 14:32:56 +0100

node-eslint-plugin-node (11.1.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patch 2001
  * tighten (build-)dependency on node-eslint-plugin-es

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Dec 2020 01:24:27 +0100

node-eslint-plugin-node (9.2.0~ds-2) unstable; urgency=medium

  * fix depend (not only build-depend) on node-eslint-plugin-es

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Dec 2020 15:16:45 +0100

node-eslint-plugin-node (9.2.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * update files excluded when repackaging upstream tarball
  * modernize source script copyright-check
  * copyright: update coverage
  * update build routines
  * support DEB_BUILD_OPTIONS=terse
  * drop patch cherry-picked upstream now applied
  * drop patch 2002; build-depend on node-fast-glob
  * update and unfuzz patches
  * fix build-depend (not depend) on nodejs
  * declare compliance with Debian Policy 4.5.1
  * drop patches 2003 2004
    to avoid Nodejs modules eslint-plugin-es @mysticatea/eslint-plugin;
    build-depend on node-eslint-plugin-es node-eslint-plugin-node
    node-mysticatea-eslint-plugin
  * update patch 1001 to use double-quotes (not single-quotes)
  * update workarounds for failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Dec 2020 15:07:46 +0100
