=== debian/control ===
--- 
+++ 
@@ -5,31 +5,34 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
- eslint <!nocheck>,
+ cmark-gfm <!nodoc>,
+ debhelper-compat (= 13),
+ eslint,
  mocha <!nocheck>,
+ node-eslint-plugin-es (>= 3) <!nocheck>,
  node-eslint-utils <!nocheck>,
+ node-fast-glob,
  node-ignore <!nocheck>,
  node-minimatch <!nocheck>,
+ node-mysticatea-eslint-plugin,
  node-resolve <!nocheck>,
  node-semver <!nocheck>,
- pandoc <!nodoc>,
+ nodejs,
  perl <!nocheck>,
-Standards-Version: 4.5.0
-Homepage: https://github.com/mysticatea/node-eslint-plugin-node
+Standards-Version: 4.7.2
+Homepage: https://github.com/mysticatea/eslint-plugin-node
 Vcs-Browser: https://salsa.debian.org/js-team/node-eslint-plugin-node
 Vcs-Git: https://salsa.debian.org/js-team/node-eslint-plugin-node.git
-Rules-Requires-Root: no
 
 Package: node-eslint-plugin-node
 Architecture: all
 Depends:
+ node-eslint-plugin-es (>= 3),
  node-eslint-utils,
  node-ignore,
  node-minimatch,
  node-resolve,
  node-semver,
- nodejs,
  ${misc:Depends},
 Enhances:
  eslint,
